View Issue Details

IDProjectCategoryView StatusLast Update
0006030Talermerchant backend API (C)public2020-01-17 00:30
ReporterFlorian DoldAssigned ToChristian Grothoff 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Versiongit (master) 
Target Version0.6.1Fixed in Version0.6.1 
Summary0006030: merchant backend should set CORS headers
DescriptionSame as 0006029, but for the merchant backend
TagsNo tags attached.

Activities

Christian Grothoff

2020-01-09 09:49

manager   ~0015256

Implemented via libtalermhd's TALER_MHD_add_global_headers().

Florian Dold

2020-01-15 16:34

manager   ~0015275

Still needs to respond to OPTIONS properly, see the exchange for an implementation of this.

Christian Grothoff

2020-01-17 00:30

manager   ~0015282

Should be fixed in 76bfa4b..ab70e04

Issue History

Date Modified Username Field Change
2020-01-07 17:21 Florian Dold New Issue
2020-01-07 17:21 Florian Dold Status new => assigned
2020-01-07 17:21 Florian Dold Assigned To => Christian Grothoff
2020-01-09 09:49 Christian Grothoff Status assigned => resolved
2020-01-09 09:49 Christian Grothoff Resolution open => fixed
2020-01-09 09:49 Christian Grothoff Fixed in Version => 0.6.1
2020-01-09 09:49 Christian Grothoff Note Added: 0015256
2020-01-15 16:34 Florian Dold Status resolved => assigned
2020-01-15 16:34 Florian Dold Note Added: 0015275
2020-01-17 00:30 Christian Grothoff Note Added: 0015282
2020-01-17 00:30 Christian Grothoff Status assigned => resolved